Skip to main content
Resource Center/CloudFormation Operations
POSTCloudFormation OperationsSince 2.5.0SynchronousAuth Required

CheckStackTemplateParameters

CheckStackTemplateParameters

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • typeString

      Optional. The template type. Default type: zstack.

    • templateContentString

      Optional. The template content, which is a JSON string.

    • uuidStringRequired

      The template UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • parametesListRequired

    See parametes.

    • paramNameStringRequired

      The parameter name.

    • typeStringRequired

      The parameter type.

    • defaultValueStringRequired

      The default value.

    • descriptionStringRequired

      The detailed description of the resource.

    • noEchoBooleanRequired

      Whether to mask the parameter value to prevent it from being displayed in the console, command line tools, or API.

    • labelStringRequired

      Specifies a name or description for a parameter that the frontend displays.

    • constraintDescriptionStringRequired

      Explains a constraint when the constraint is violated. If the verification fails, the corresponding content is returned.

    • resourceTypeStringRequired

      The type of a resource referenced by the event returned if the parameter is the ZStack resource. When the resource type cannot be determined, null is returned.

Endpoint

POST/zstack/v1/cloudformation/stack/check

/zstack/v1/cloudformation/stack/check

Operation ID

CheckStackTemplateParameters

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/cloudformation/stack/check' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"type":"<type>","templateContent":"<templateContent>","uuid":"<uuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "parametes": [ { "paramName": "imageUuid", "type": "String", "defaultValue": "ff1373b10ee93b15b347f7abfb4bb5b6", "description": "Image Uuid, represents the image resource to startup one vm instance", "resourceType": "Image" } ] }

Change History

This API has no change history records yet.

View all change history